TAP::Base(3perl)

NAME
TAP::Base - Base class that provides common functionality to TAP::Parser and TAP::Harness

VERSION
Version 3.26

SYNOPSIS
    package TAP::Whatever;

    use TAP::Base;

    use vars qw($VERSION @ISA);
    @ISA = qw(TAP::Base);

    # ... later ...

    my $thing = TAP::Whatever->new();

    $thing->callback( event => sub {
        # do something interesting
    } );

DESCRIPTION
"TAP::Base" provides callback management.

METHODS

  Class Methods
"callback"

Install a callback for a named event.

"get_time"

Return the current time using Time::HiRes if available.

"time_is_hires"

Return true if the time returned by get_time is high resolution (i.e. if Time::HiRes is available).